/**
 * @file
 * Script for uc_novalnet module.
 **/

jQuery(document).ready(function() {
    jQuery('#edit-submit').click(function(e){
    var amount_change = jQuery('#edit-transaction-amount-change').val();
    if(amount_change !=undefined && amount_change==0) {
    return false;
    }
    if(jQuery('#edit-transaction-amount-change'))
    jQuery('#edit-submit').css('display','none');
    });
    jQuery('.form-item-panes-payment-details-nncc-number').live('contextmenu', function (e) {
        e.preventDefault();
    });
    jQuery( "#nnsepa_country" ).change(function() {
        jQuery("#nnsepa_ibanconf").removeAttr('disabled');
    });
    jQuery("#nnsepa_ibanconf").attr('checked', false);
    var payment = jQuery('input[name="panes[payment][payment_method]"]:checked').val();
    jQuery( document ).ajaxComplete(function( event, xhr, settings ) {
    var payment = jQuery('input[name="panes[payment][payment_method]"]:checked').val();
    var re = /system\/ajax/gi;
    if(re.test(settings.url)){
        if(payment == 'novalnet_sepa'){
            if((jQuery('#nn_sepa_hash_generated').val() == 1 &&  jQuery('#nnsepa_acno').val() =='') || jQuery('#nn_sepa_hash_generated').val() == 0 ){
                sepa_refil();
            }
            set_sepaname(null, null);
        }
        else if(payment == 'novalnet_cc'){
            get_name();
            nncc_refil();
        }
    }
    });
    if(payment == 'novalnet_sepa') {
        var prefix = (jQuery( 'input[name=\'panes[delivery][delivery_first_name]\']').length ) ? 'input[name=\'panes[delivery][delivery_' : 'input[name=\'panes[billing][billing_';
        jQuery.each( [ 'first_name', 'last_name', 'company', 'street1', 'street2', 'city', 'country' ,'postal_code'],function( i, keyVal ) {
            set_sepaname(prefix, keyVal);
            jQuery(prefix + keyVal + ']\']').live('change', function () {
                set_sepaname(prefix, keyVal);
            });
        });
        sepa_refil();
        jQuery('#nnsepa_iban_div').hide();
        jQuery('#nnsepa_bic_div').hide();
    }
    else if(payment == 'novalnet_cc'){
        get_name();
        nncc_refil();
    }

    jQuery.each( [ 'nnsepa_owner', 'nnsepa_country', 'nnsepa_acno', 'nnsepa_bcode'], function( i, keyVal ) {
        jQuery('#' + keyVal ).live('change', function () {
            jQuery('#nn_sepa_hash_generated').val( 0 );
            jQuery('#frm_iban').html();
            jQuery('#frm_bic').html();
            jQuery('#nnsepa_iban_div').hide();
            jQuery('#nnsepa_bic_div').hide();
            document.getElementById("nnsepa_ibanconf").checked = false;
        });
    });
    if(document.getElementById('edit-continue') != null) {
        if (payment == 'novalnet_cc') {
            novalnet_emptyfields('nncc');
        }
        else if(payment == 'novalnet_sepa'){
            novalnet_emptyfields('sepa');
        }
        jQuery('#edit-continue').click(function(e) {
            payment = jQuery('input[name="panes[payment][payment_method]"]:checked').val();
            if (payment == 'novalnet_cc') {
                if(jQuery('#nn_cc_valid').val() == 0) {
                    e.preventDefault();
                    var cc_type = jQuery( '#nncc_type').val();
                    var cc_owner = jQuery.trim(jQuery( '#nncc_owner').val());
                    var cc_number = jQuery.trim(jQuery( '#nncc_number').val());
                    var cc_month = jQuery( '#nncc_exp_month').val();
                    var cc_year = jQuery( '#nncc_exp_year').val();
                    var cc_cvc = jQuery( '#nncc_cvc').val();
                    var nn_authcode = jQuery( '#nn_authcode').val();
                    var nn_uniqueid = jQuery( '#nn_uniqueid').val();
                    var nn_vendor = jQuery( '#nn_vendor').val();

                    var dObj = new Date();
                    var cYear = dObj.getFullYear();
                    var cMonth = dObj.getMonth();
                    reg = /[\/\\#,+()Â¶¤$~%.":*?<>^{}=_-]/g;
                    if(cc_type == '' || cc_owner =='' || reg.test(cc_owner) || cc_number =='' || cc_cvc =='' || (cc_year == cYear && cc_month < (cMonth + 1))) {
                        alert(document.getElementById('invalid_error_msg').innerHTML);
                        return false;
                    }
                    var qryString =  "noval_cc_exp_month=" + cc_month + "&noval_cc_exp_year=" + cc_year + "&noval_cc_holder=" + cc_owner + "&noval_cc_no=" + cc_number + "&noval_cc_type=" + cc_type + "&unique_id=" + nn_uniqueid+"&vendor_authcode=" + nn_authcode + "&vendor_id=" + nn_vendor;
                    jQuery('#loading-img').show();
                    sent_xdomainreq(qryString, 'nncc' , null);
                }
            }
            if(payment == 'novalnet_sepa') {
                if(!document.getElementById('nnsepa_ibanconf').checked) {
                    alert(jQuery('#sepa_confirm_error_msg').html());
                    return false;
                }
            }
        });
    }
    jQuery('#uc_novalnet_subs_cancel').click(function(e){
        e.preventDefault();
        var can_params = jQuery('#subs_cancel_vendor_details').val();
        cancel_params = can_params.split('&');
        
        var cancel_reason = jQuery('#uc_novalnet_subs_cancel_reason option:selected').val();
        if(cancel_reason !=undefined && parseInt(cancel_reason) == 0) {
        alert(cancel_params[6])
        return false;
        }
        jQuery('#loading-img').show();
        cancel_reason = jQuery("select[id='uc_novalnet_subs_cancel_reason'] option:selected").text();
        var qryString ="cancel_sub=1&vendor="+cancel_params[0]+"&auth_code="+cancel_params[1]+"&product="+cancel_params[2]+"&tariff="+cancel_params[3]+"&key="+cancel_params[5]+"&tid="+cancel_params[4]+"&cancel_reason="+cancel_reason;
        sent_xdomainreq(qryString, 'subscription_cancel', null);
        
    });
});

function show_cchint(){
    x=jQuery('#cvc-hint').position();
    var itop = x.top - 100;
    jQuery('#cvc-hint-img').css({'top':itop+'px','display':'block'});
}

function hide_cchint(){
    jQuery('#cvc-hint-img').hide();
}

function ccnumber_validate(event){
    var keycode = ('which' in event) ? event.which : event.keyCode;
    var reg = /^(?:[0-9\s]+$)/;
    return (reg.test(String.fromCharCode(keycode)) || keycode == 0 || keycode == 8);
}

function nnsepa_confirm(){
    jQuery("#nnsepa_ibanconf").attr('disabled','disabled');
    if(!document.getElementById('nnsepa_ibanconf').checked){
        sepa_mandate_close();
        return true;
    }
    var sepa_name    = jQuery.trim(encodeURIComponent(removeUnwantedSpecialChars(jQuery( '#nnsepa_owner' ).val())));
    var sepa_country = jQuery( '#nnsepa_country' ).val();
    var sepa_acno    = jQuery.trim(removeUnwantedSpecialChars(jQuery( '#nnsepa_acno').val()));
    var sepa_bcode   = jQuery.trim(jQuery( '#nnsepa_bcode').val());
    var nn_authcode  = jQuery( '#nn_authcode').val();
    var nn_uniqueid  = jQuery( '#nn_uniqueid').val();
    var nn_vendor    = jQuery( '#nn_vendor').val();
 
    if(sepa_name == '' || sepa_country == '' || sepa_acno == ''){
        alert(jQuery( '#sepa_error_msg' ).html() );
        jQuery("#nnsepa_ibanconf").removeAttr('disabled');
        return false;
    }
    if( jQuery('#nn_sepa_hash_generated').val() == 1 && jQuery('#nn_sepa_hash').val() != ''){
        sepa_details_show( null, null );
        disable_background_events();
        return true;
    }
    if(sepa_country == 'DE' && sepa_bcode == '' && isNaN(sepa_acno)){
        sepa_bcode = '123456';
    }
    else if(sepa_country == 'DE' && !isNaN(sepa_bcode) && isNaN(sepa_acno)){
        alert( jQuery( '#sepa_error_msg' ).html() );
        jQuery("#nnsepa_ibanconf").removeAttr('disabled');
        return false;
    }
    if(validateSpecialChars(sepa_acno) || /^[A-Za-z]+$/.test(sepa_acno)){ 
        alert(jQuery( '#sepa_error_msg' ).html() );
        jQuery("#nnsepa_ibanconf").removeAttr('disabled');
        return false;
    }

    if(sepa_country != 'DE' && (sepa_bcode == '' || ((!isNaN(sepa_acno) && isNaN(sepa_bcode)) || (isNaN(sepa_acno) && !isNaN(sepa_bcode)))) ){
        alert(jQuery( '#sepa_error_msg' ).html());
        jQuery("#nnsepa_ibanconf").removeAttr('disabled');
        return false;
    }
    else if((sepa_country == 'DE' && sepa_bcode == '' && !isNaN(sepa_acno))){
        alert(jQuery( '#sepa_error_msg' ).html() );
        jQuery("#nnsepa_ibanconf").removeAttr('disabled');
        return false;
    }
    iban_data = 'account_holder=' + sepa_name + '&vendor_id=' + nn_vendor + '&vendor_authcode=' + nn_authcode + '&bank_country=' + sepa_country + '&unique_id=' + nn_uniqueid;
    if(/^(?:[0-9]+$)/.test(sepa_acno) && /^(?:[0-9]+$)/.test(sepa_acno)) {
        iban_data = iban_data + '&bank_account=' + sepa_acno + '&bank_code=' + sepa_bcode + '&get_iban_bic=1';
        jQuery('#loading-img').show();
        sent_xdomainreq( iban_data, 'nnsepa_iban' , null);
    }
    else{
        hash_data = iban_data + '&bank_account=&bank_code=&sepa_data_approved=1&mandate_data_req=1&iban=' + sepa_acno + '&bic=' + sepa_bcode;
        jQuery('#loading-img').show();
        sent_xdomainreq( hash_data, 'nnsepa_hash' ,'from_iban');
    }
}

function check_result(response, ptype, qryString, from_iban){
    var result = jQuery.parseJSON(response);
    if(result.hash_result != 'success'){
        jQuery('#loading-img').hide();
        alert(result.hash_result);
        return false;
    }
  switch (ptype){
    case 'nncc' :
        jQuery('#loading-img').hide();
        jQuery( '#nn_cc_hash' ).val( result.pan_hash );
        jQuery('#nn_cc_valid').val(1);
        jQuery( '#edit-continue').click();
      break;
    case 'nncc_refil' :
        jQuery('#loading-img').hide();
        var params = result.hash_string.split("&");
        jQuery.each( params, function( i, keyVal ){
        temp = keyVal.split('=');
        switch (temp[0]){
          case 'cc_holder' :
            jQuery('#nncc_owner').val( temp[1] );
            break;
          case 'cc_exp_year' :
              jQuery('#nncc_exp_year').val( temp[1] );
            break
          case 'cc_exp_month' :
            jQuery('#nncc_exp_month').val( temp[1] );
            break
          case 'cc_no' :
            jQuery('#nncc_number').val( temp[1]);
            break;
          case 'cc_type' :
            jQuery('#nncc_type').val( temp[1]);
            break;
        }
      });
      break;
    case 'nnsepa_iban':
        if(result.IBAN =='' || result.BIC == ''){
            alert( jQuery( '#sepa_error_msg').html() );
            sepa_mandate_close();
            return false;
        }
        jQuery( '#frm_iban').html( result.IBAN );
        jQuery( '#frm_bic').html( result.BIC );
        jQuery( '#over_iban').html( result.IBAN );
        jQuery( '#over_bic').html( result.BIC );
        jQuery( '#sepa_from_acno').val( 1 );
        hash_data = qryString.replace('&get_iban_bic=1','') + '&sepa_data_approved=1&mandate_data_req=1&iban=' + result.IBAN + '&bic=' + result.BIC ;
        sent_xdomainreq(hash_data, 'nnsepa_hash', null);
      break;
    case 'nnsepa_hash':
        jQuery('#nn_sepa_hash_generated').val(1);
        sepa_showoverlay();
        if(from_iban != null){
            jQuery('#nnsepa_iban_div').hide();
            jQuery('#nnsepa_bic_div').hide();
        }
        sepa_details_show( result.mandate_ref, result.sepa_hash );
      break;
    case 'subscription_cancel':
        jQuery('#loading-img').hide();
        par = qryString.split("&");
        par = par[(par.length) - 1];
        alert(jQuery('#cancel_msg').val() + ' ' +qryString.split("cancel_reason")[1].split('=')[1]);
        jQuery('#order-pane-hide').css('display','none');
        window.location.href = cancel_params[7];
    break;
    case 'nnsepa_refil': 
        jQuery('#nn_sepa_hash_generated').val(1);
        jQuery('#loading-img').hide();
        var params = result.hash_string.split("&");
        jQuery('#nnsepa_mandate_ref').html( result.mandate_ref );
        jQuery( '#nnsepa_owner' ).val( jQuery( '#nnsepa_holder_name').val() );
        jQuery.each( params, function( i, keyVal ){
        temp = keyVal.split('=');
        switch (temp[0]){
          case 'account_holder' :
            document.getElementById('nnsepa_owner').value = removeUnwantedSpecialChars(temp[1]);
            break;
          case 'bank_account' :
            if(jQuery( '#sepa_from_acno').val() == 1){
                jQuery('#nnsepa_acno').val( temp[1] );
            }
            break
          case 'bank_code' :
            if(jQuery( '#sepa_from_acno').val() == 1){
                jQuery('#nnsepa_bcode').val( temp[1] );
            }
            break
          case 'bank_country' :
                jQuery('#nnsepa_country').val( temp[1]);
            break;
          case 'iban' :
            if(jQuery( '#sepa_from_acno').val() == 0 ){
                jQuery('#nnsepa_acno').val( temp[1] );
            }
            else{
                isNaN ( temp[1] ) ? jQuery("#nnsepa_acno").val(temp[1]) : jQuery( '#frm_iban').html( temp[1] );
            }
            jQuery('#over_iban').html( temp[1] );
            break;
          case 'bic' :
            if(jQuery( '#sepa_from_acno').val() == 0 ){
                jQuery('#nnsepa_bcode').val( temp[1] );
            }
            else {
                (temp[1] == '123456') ? jQuery( '#nnsepa_bic_div' ).hide() : jQuery( '#frm_bic').html( temp[1] ); 
                isNaN ( temp[1] ) ? jQuery("#nnsepa_bcode").val(temp[1]) : '';
            }
            jQuery('#over_bic').html( temp[1] );
            break;
        }
      });
      if(jQuery( '#frm_iban').html() != ''){
        jQuery('#nnsepa_iban_div').show();
        jQuery('#nnsepa_bic_div').show();
      }
  }
}

function novalnet_emptyfields(ptype){
    if(ptype == 'nncc'){
        var dObj = new Date();
        var cYear = dObj.getFullYear();
        var cMonth = dObj.getMonth(); 
        jQuery( '#nncc_type').val( '' );
        jQuery( '#nncc_number').val( '' );
        jQuery( '#nncc_exp_month').val( cMonth + 1 );
        jQuery( '#nncc_exp_year').val( cYear );
        jQuery( '#nncc_cvc').val( '' );
    }
    else if(ptype == 'sepa'){
        if(document.getElementById('edit-nnsepa_ibanconf') != null) {
            document.getElementById("nnsepa_ibanconf").checked = false;
            jQuery( '#nnsepa_acno').val( '' );
            jQuery('#nnsepa_bcode' ).val( '' );
        }
    }
}

function sent_xdomainreq(qryString, ptype, from_iban){
    if(ptype == 'nncc' || ptype == 'nncc_refil'){
        var nnurl = (document.location.protocol == 'http:')? "http://payport.novalnet.de/payport_cc_pci" : "https://payport.novalnet.de/payport_cc_pci";
    }
    else if(ptype == 'subscription_cancel'){
        var nnurl = jQuery('#base_url').val();
    }
    else if(ptype == 'shop_cancel') {
        
    }
    else {
        var nnurl = (document.location.protocol == 'http:') ? "http://payport.novalnet.de/sepa_iban" : "https://payport.novalnet.de/sepa_iban";
    }
    if ('XDomainRequest' in window && window.XDomainRequest !== null) {
        var xdr = new XDomainRequest();
        xdr.open('POST', nnurl);
        xdr.onload = function () {
            return check_result(this.responseText, ptype, qryString , from_iban);
        }
        xdr.onerror = function() {
            _result = false;
        };
        xdr.send(qryString);
    }
    else{
        var xmlhttp = (window.XMLHttpRequest) ? new XMLHttpRequest() : new ActiveXObject("Microsoft.XMLHTTP");
      xmlhttp.onreadystatechange=function(){
            if (xmlhttp.readyState==4 && xmlhttp.status==200){
                return check_result( xmlhttp.responseText, ptype, qryString , from_iban);
            }
        }
        xmlhttp.open("POST",nnurl,true);
        xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
        xmlhttp.send(qryString);
     
        
    }
}

function sepa_mandate_confirm(){
    document.onkeydown = null
    jQuery("#nnsepa_ibanconf").removeAttr('disabled');
    jQuery('#overlay-dark').hide();
    jQuery('#account_details').hide();
    jQuery('#loading-img').hide();
}

function sepa_mandate_close(){
    document.onkeydown = null
    jQuery("#nnsepa_ibanconf").removeAttr('disabled');
    jQuery('#loading-img').hide();
    jQuery('#overlay-dark').hide();
    jQuery('#account_details').hide();
    document.getElementById("nnsepa_ibanconf").checked = false;
}

function set_sepaname(prefix, keyVal){
    if( prefix == null && keyVal == null ){
        var dadd = 'input[name=\'panes[delivery][delivery_';
        var badd = 'input[name=\'panes[billing][billing_';
        var prefix = (jQuery( dadd + 'first_name]\']').length ) ? dadd : badd;
        jQuery.each( [ 'first_name', 'last_name', 'company', 'street1', 'street2', 'city', 'country' ,'postal_code'], function( i, keyVal ) {
            set_sepaname(prefix, keyVal);
        });
        if( keyVal == 'first_name' || keyVal == 'last_name' ) {
            var sname = jQuery.trim(jQuery( prefix + 'first_name]\']').val()) +' '+ jQuery.trim(jQuery( prefix + 'last_name]\']').val());
            if(jQuery('#nn_sepa_hash_generated').val() != 1) {
                jQuery('#nnsepa_owner').val(jQuery.trim(sname));
                jQuery('.nnsepa_holder').html(jQuery.trim(sname));
            }
        }
    }
}

function sepa_showoverlay(){
    jQuery('#nnsepa_iban_div').show();
    disable_background_events();
    var copy_address = jQuery('#edit-panes-billing-copy-address').attr('checked');
    get_sepa_user_deatils(copy_address);
    jQuery('#nnsepa_bic_div').show();
    jQuery('#overlay-dark').show();
}

function sepa_refil(){
    var nnsepa_hash = jQuery('#nn_sepa_hash').val();
    if( nnsepa_hash != '' && nnsepa_hash != undefined && jQuery('#nnsepa_form_refil').val() != 0 ) {
        jQuery('#loading-img').show();
        var nn_authcode = jQuery('#nn_authcode').val(); 
        var nn_uniqueid = jQuery('#nn_uniqueid').val();
        var nn_vendor = jQuery('#nn_vendor').val();
        var qryString = "vendor_id="+nn_vendor+"&vendor_authcode="+nn_authcode+"&unique_id="+nn_uniqueid+"&sepa_data_approved=1&mandate_data_req=1&sepa_hash="+nnsepa_hash;
        sent_xdomainreq( qryString, 'nnsepa_refil', null);
    }
}

function sepa_details_show( mandate_ref, sepa_hash ){
    jQuery('#overlay-dark').show();
    if(isNaN(jQuery('#nnsepa_acno').val()) && isNaN(jQuery('#nnsepa_bcode').val())) {
        jQuery('#over_iban').html( jQuery('#nnsepa_acno').val() );
        jQuery('#over_bic').html( jQuery('#nnsepa_bcode').val() );
    }
    if(jQuery('#frm_iban').html() == ''){
        jQuery('#over_iban').html( jQuery('#nnsepa_acno').val() );
        jQuery('#over_bic').html( jQuery('#nnsepa_bcode').val() );
    }
    jQuery('#nnsepa_creator').html( 'Novalent AG' );
    jQuery('#nnsepa_iden').html( 'DE53ZZZ00000004253' );
    if(mandate_ref != null || sepa_hash != null) {
        jQuery('#nnsepa_mandate_ref').html( mandate_ref );
        jQuery('#nn_sepa_hash').val( sepa_hash );
        jQuery('#nn_sepa_hash_generated').val( 1 );
    }
    var copy_address = jQuery('#edit-panes-billing-copy-address').attr('checked');
    get_sepa_user_deatils(copy_address);
    jQuery('#nnsepa_country_o').html( jQuery('#nnsepa_country').val() );
    jQuery('.nnsepa_holder').html( removeUnwantedSpecialChars(jQuery('#nnsepa_owner').val()) );
    jQuery('#account_details').show();
}

function get_sepa_user_deatils(copy_address){
    if( copy_address == false || copy_address ==undefined) {
        var street = jQuery("input[name=\'panes[billing][billing_street1]\']").val()+jQuery("input[name=\'panes[billing][billing_street2]\']").val();
        var city   = jQuery("input[name=\'panes[billing][billing_postal_code]\']").val()+' '+jQuery("input[name=\'panes[billing][billing_city]\']").val();
        var ind_city = jQuery("input[name=\'panes[billing][billing_city]\']").val();
        var comp  = jQuery("input[name=\'panes[billing][billing_company]\']").val();
    }
    else{
        var street = jQuery("input[name=\'panes[delivery][delivery_street1]\']").val()+jQuery("input[name=\'panes[delivery][delivery_street2]\']").val() ;
        var city   = jQuery("input[name=\'panes[delivery][delivery_postal_code]\']").val()+' '+jQuery("input[name=\'panes[delivery][delivery_city]\']").val();
        var ind_city = jQuery("input[name=\'panes[delivery][delivery_city]\']").val();
        var comp  = jQuery("input[name=\'panes[delivery][delivery_company]\']").val();
    }
    if(comp =='') {
        jQuery('#ovr_company').hide();
        jQuery("#nnsepa_company").html('')
    }
    else{
        jQuery('#ovr_company').show();
        jQuery("#nnsepa_company").html(removeUnwantedSpecialChars(comp))
    }
    (jQuery('#over_bic').html() == '') ? jQuery('#ovr_bic_tr').hide() : '' ;
    jQuery('#nnsepa_address').html(removeUnwantedSpecialChars(street));
    jQuery('.nnsepa_city').html(removeUnwantedSpecialChars(city));
    jQuery('.nnind_city').html(removeUnwantedSpecialChars(ind_city));
}

function nncc_refil(){
    var nncc_hash = jQuery('#nn_cc_hash').val();
    if( nncc_hash != '' && nncc_hash != undefined && jQuery('#nncc_form_refil').val() != 0 ){
        jQuery('#loading-img').show();
        var nn_authcode = jQuery('#nn_authcode').val();
        var nn_uniqueid = jQuery('#nn_uniqueid').val();
        var nn_vendor = jQuery('#nn_vendor').val();
        var qryString = "vendor_id=" + nn_vendor + "&vendor_authcode=" + nn_authcode + "&unique_id=" + nn_uniqueid + "&pan_hash="+nncc_hash;
        sent_xdomainreq( qryString, 'nncc_refil', null);
    }
}

function get_name(){
    var copy_address = jQuery('#edit-panes-billing-copy-address').attr('checked');
    if( copy_address == false || copy_address ==undefined)
    var name = jQuery("input[name=\'panes[billing][billing_first_name]\']").val()+jQuery("input[name=\'panes[billing][billing_last_name]\']").val();
    else
    var name = jQuery("input[name=\'panes[delivery][delivery_first_name]\']").val()+jQuery("input[name=\'panes[delivery][delivery_last_name]\']").val();
    jQuery('#nncc_owner').val(name);
}

function removeUnwantedSpecialChars(input_val) {
    if( input_val != undefined || input_val != ''){
        return input_val.replace(/[\/\\|\]\[|#,+()$~%.":`'@~;*?<>!^{}=_-]/g,''); 
    }
 }

function validateSpecialChars(input_val){
    var re = /[\/\\#,+@!^()&$~%.":*?<>{}]/g;
    return re.test(input_val);
}

function enable_mode(mode){
    jQuery("#"+mode).toggle("disabled");
}

function disable_background_events(){
    document.onkeydown = function(evt) {
        var charCode = (evt.which) ? evt.which : evt.keyCode;
        return((evt.ctrlKey == true && charCode == 114)|| charCode == 116);
    };
}

function sepa_validate_account_number(event){
    var keycode = ('which' in event) ? event.which : event.keyCode;
    var reg = /^(?:[A-Za-z0-9]+$)/;
    if(event.target.id == 'nnsepa_owner' || event.target.id == 'nncc_owner') var reg = /^(?:[A-Za-z0-9&\s]+$)/;
    return (reg.test(String.fromCharCode(keycode)) || keycode == 0 || keycode == 8) ? true : false;
}

